Проблемы со сканированием в FreeBSD 10

2 years 9 months ago #397 by colonel
colonel created the topic: Проблемы со сканированием в FreeBSD 10
Здравствуйте!

Возникла проблема со сканированием книг. То есть, сканирует около 10 000 и выкидывает ошибку:
mysql.connector.errors.DatabaseError: 126 (HY000): Incorrect key file for table './sopds/books.MYI'; try to repair it

Я сделал другую временную таблицу для мускула, отключил поиск дубликатов - не помогает. Что делать?
fr# uname -v FreeBSD 10.0-RELEASE-p12 
fr# python  Python 3.4.3 
 mysql51-server-5.1.73_2

Please Войти or Create an account to join the conversation.

  • colonel
  • colonel's Avatar Topic Author
  • Offline
  • Новый участник
  • Новый участник
More
2 years 9 months ago #398 by mitshel
mitshel replied the topic: Проблемы со сканированием в FreeBSD 10
Может быть не хватает места в временном каталоге. Что-то подобное было здесь: sopds.ru/index.php/forum/instruktsii-po-...nas-ds-413j?start=24

Please Войти or Create an account to join the conversation.

  • mitshel
  • mitshel's Avatar
  • Offline
  • Администратор
  • Администратор
More
2 years 7 months ago #419 by vino
vino replied the topic: Проблемы со сканированием в FreeBSD 10
Добрый вечер!
FreeBSD10.2, Python 3.4.3
Не удается запустить сканер

Traceback (most recent call last):
  File "./sopdsd.py", line 338, in <module>
    daemon.start()
  File "./sopdsd.py", line 292, in start
    Daemon.start(self)
  File "./sopdsd.py", line 146, in start
    self.run()
  File "./sopdsd.py", line 327, in run
    self.run_scanner()
  File "./sopdsd.py", line 318, in run_scanner
    self.scanner.scan_all()
  File "/usr/local/www/sopds-master/py/sopdscan.py", line 80, in scan_all
    self.opdsdb.avail_check_prepare()
  File "/usr/local/www/sopds-master/py/sopdsdb.py", line 852, in avail_check_prepare
    cursor=self.cnx.cursor()
AttributeError: 'opdsDatabase' object has no attribute 'cnx'

Заранее спасибо!

Please Войти or Create an account to join the conversation.

  • vino
  • vino's Avatar
  • Offline
  • Новый участник
  • Новый участник
More
2 years 7 months ago #420 by vino
vino replied the topic: Проблемы со сканированием в FreeBSD 10
Ошибку понял, не создал таблиц, но из файла tables.sql не создается
:/usr/local/www/test/sopds/db # mysql -p sopds < tables.sql
Enter password:
ERROR 1071 (42000) at line 5: Specified key was too long; max key length is 767 bytes

mysql  Ver 14.14 Distrib 5.6.26, for FreeBSD10.2 (amd64) using  EditLine wrapper

Please Войти or Create an account to join the conversation.

  • vino
  • vino's Avatar
  • Offline
  • Новый участник
  • Новый участник
More
2 years 7 months ago #421 by vino
vino replied the topic: Проблемы со сканированием в FreeBSD 10
Проблема была из-за innodb, в mysql по умолчанию.
Решил так:
vi /var/db/mysql/my.cnf
[mysqld]
default-storage-engine = MYISAM
/usr/local/etc/rc.d/mysql-server restart
Все работает, спасибо автору программы.

Остались только проблемы при рестарте, статусе видимо из-за различий FreeBSD и Linux 
py/sopdsd.py status
Traceback (most recent call last):
  File "../../sopds-master/py/sopdsd.py", line 180, in status
    procfile = open("/proc/{}/status".format(scan_pid), 'r')
FileNotFoundError: [Errno 2] No such file or directory: '/proc/31632/status'
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
  File "../../sopds-master/py/sopdsd.py", line 344, in <module>
    daemon.status()
  File "../../sopds-master/py/sopdsd.py", line 300, in status
    Daemon.status(self)
  File "../../sopds-master/py/sopdsd.py", line 185, in status
    message = "There is not a SOPDS SCAN process with the PID {}\n".format(self.scan_pid)
AttributeError: 'opdsDaemon' object has no attribute 'scan_pid'
Если кто поможет в решении этой проблемы, буду очень благодарен! 

Please Войти or Create an account to join the conversation.

  • vino
  • vino's Avatar
  • Offline
  • Новый участник
  • Новый участник
More
Time to create page: 0.328 seconds